import request from '@/utils/request'

// 查询客户管理列表
export function listCustomer(query) {
	return request({
		url: '/wms/customer/list',
		method: 'get',
		params: query
	});
}

// 查询客户管理详细
export function getCustomer(clientId) {
	return request({
		url: '/wms/customer/' + clientId,
		method: 'get'
		});
}

// 新增客户管理
export function addCustomer(data) {
	return request({
		url: '/wms/customer',
		method: 'post',
		data: data
	});
}

// 修改客户管理
export function updateCustomer(data) {
	return request({
		url: '/wms/customer',
		method: 'put',
		data: data
	});
}

// 删除客户管理
export function delCustomer(clientId) {
	return request({
		url: '/wms/customer/' + clientId,
		method: 'delete'
	});
}
